import request from '../../../utils/request'

// 定时任务日志列表
export const getLogList = params =>
  request({
    url: `/jpt/jm_job_log/?page=${params.page}&size=${params.size}${
      params.id ? '&job_id=' + params.id : ''
    }`,
    method: 'get',
  })

// 定时任务日志详情
export const getLogInfo = id =>
  request({
    url: `/jpt/jm_job_log/logs?run_id=${id}`,
    method: 'get',
  })

// 日志文件
export const getJobLog = uri =>
  request({
    url: `/jpt/files/jm_job_log/?uri=${uri}`,
    method: 'get',
  })

export const refreshLogsStatus = str =>
  request({
    url: '/jpt/jm_job_log/logs_status/' + str,
    method: 'get',
  })
